#pragma once

// Timed Function. Will Run ONCE per 10 sec
void schedule_timer() {

    // Tick the calendar to perform internal functions.
    // (Updates current time. Updates Daily Schedule if its Midnight)
    timekeeper.tick();
    timekeeper.checkAndRunSchedule(player);
    // This is here for debugging purposes only.
    timekeeper.printTimeNow();

}

// void dailyScheduleCheck(std::vector<ScheduleEntry>){

// }
